package com.example.springdemo.entities;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.CreatedDate;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

//订单类
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "Orders")
public class Orders {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;//订单ID

    @OneToMany(cascade = CascadeType.ALL, mappedBy = "orders")
    @Column(name = "orderDishesID")
    private List<OrderDishes> orderDishes;//订单中的菜品

    @ManyToOne(cascade = CascadeType.ALL, fetch = FetchType.LAZY)
    @JoinColumn(name = "usersID", referencedColumnName = "id")
    @Column(name = "usersID")
    private Users user;//外键，下单用户

    @Column(name = "allPrice")
    private BigDecimal allPrice;//订单总价

    private String message;//下单备注

    @CreatedDate
    @Column(name = "createDate")
    private Date createdDate;//订单创建时间
}
