package com.example.springdemo.entities;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

//用户类
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "Users")
public class Users {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;//主键，用户ID
    private String name;//用户姓名
    private String sex;//用户性别
    @Column(name = "phoneNumber")
    private String phoneNumber;//用户联系方式
    private String address;//家庭住址

    @OneToMany(cascade = CascadeType.ALL, mappedBy = "user")
    @Column(name = "ordersID")
    private List<Orders> orders;//订单
}
